//
// Created by welsch on 18.06.18.
//

#ifndef ROOFIT_TEST_FITUTILS_H
#define ROOFIT_TEST_FITUTILS_H

#include <map>
#include <memory>
#include <vector>

#include "TTree.h"
#include "RooAddPdf.h"
#include "TFileManager.h"
#include "RooHistPdf.h"
#include "RooRealVar.h"
#include "RooAbsPdf.h"

std::map<TString, std::shared_ptr<TTree>> load_ttrees(TFileManager,
                                                      std::vector<TString>,
                                                      TString tree_name);

RooAddPdf create_template(std::vector<TString> &vtemplate_names,
                          std::map<TString,
                                  std::shared_ptr<TTree>> &mtrees);

void linearity_check(RooAbsPdf &model_pdf, RooAbsPdf &sig_pdf,
RooAbsPdf &bkg_pdf,
RooRealVar &observable,
RooRealVar param);


#endif //ROOFIT_TEST_PLOTUTILS_H
