//
// Created by welsch on 15.06.18.
//

#include <utility>
#include "TFileManager.h"

#include "TFile.h"
#include "TString.h"

TFileManager::TFileManager(std::vector<TString> &vfile_names)
        : m_vfile_names(vfile_names) {
    for(auto const & file_name : m_vfile_names) {
        auto file = std::make_shared<TFile>(file_name + ".root");
        m_mfiles.emplace(file_name, file);
    }
}