//
// Created by welsch on 15.06.18.
//

#ifndef ROOFIT_TEST_TFILEMANAGER_H
#define ROOFIT_TEST_TFILEMANAGER_H

#include <vector>
#include <map>
#include <memory>

#include "TFile.h"
#include "TString.h"

class TFileManager {
private:
    std::map<TString, std::shared_ptr<TFile>> m_mfiles;
    std::vector<TString> m_vfile_names;

public:
    TFileManager(std::vector<TString> &m_vfile_names);
    ~TFileManager(){};

    std::shared_ptr<TFile> get_TFile(TString file_name){
        return m_mfiles[file_name];
    }


};


#endif //ROOFIT_TEST_TFILEMANAGER_H
